Subject: [ietf-privacy] Slides about "Privacy Considerations for Internet Protocols"

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 23 Jul 2011 15:53:13 -0400

Hi all, 

I was invited by Ann Cavoukian and by Tara Whalen to speak about the privacy consideration document to Ontario/Canadian privacy commissioners. To present the ongoing work in a more structured way I created a slide set and I wanted to share it with you.  

The slides start with the way on how we do security in the IETF and whether we can learn something from that experience. Then, I describe some limitations the IETF standardization work has to deal with. I subsequently deal with available privacy engineering guidelines and briefly touch on the recommendations in draft-morris-privacy-considerations. Since we do need more input on these guidelines I highlighted two example case studies we had been looking into, IPv6 and network access authentication.  

Here are the slides: 
http://www.tschofenig.priv.at/svn/canada-privacy/Privacy.ppt

Ciao
Hannes